server:
  port: 9898

# 数据源配置
spring:
  datasource:
    dynamic:
      primary: master
      strict: true
      datasource:
        master:
          url: jdbc:mysql://sh-cdb-22oyn58i.sql.tencentcdb.com:63963/jy_erp_test?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
          username: root
          password: PdKKy%vZ)2mGykg

  rabbitmq:
    port: 5672
    host: 111.229.165.209
    username: JyByteSailingAdmin
    password: ds7us8nqt@777s
    #这个配置是保证提供者确保消息推送到交换机中，不管成不成功，都会回调
    publisher-confirm-type: correlated
    #保证交换机能把消息推送到队列中
    publisher-returns: true
    virtual-host: JyByteSailingTest
    #这个配置是保证消费者会消费消息，手动确认
    listener:
      simple:
        acknowledge-mode: manual

  data:
    redis:
      # 地址
      host: 111.229.165.209
      # 端口，默认为6379
      port: 5000
      # 密码
      password: Z?(?wpxfUke)1im
      # 数据库索引
      database: 6